Me

Get Current User Endpoint

get

Get the currently authenticated user.

Args: user: Authenticated user

Returns: The currently authenticated user.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Responses
chevron-right
200

Successful Response

application/json

User model for displaying user account and service account information.

This model is currently used for both user accounts and service accounts to ensure backward compatibility.

passwordany ofOptional
stringOptional
or
nullOptional
password_expiredany ofOptional
booleanOptional
or
nullOptional
nameany ofOptional

The name of the user.

string · min: 1 · max: 50Optional
or
nullOptional
avatar_urlany ofOptional

The avatar URL of the user.

stringOptional
or
nullOptional
companyany ofOptional

The company of the user.

string · min: 1 · max: 50Optional
or
nullOptional
job_titleany ofOptional

The job title of the user.

string · min: 1 · max: 50Optional
or
nullOptional
metadataany ofOptional

Additional metadata associated with the user.

or
nullOptional
idstring · uuidRequired
usernameany ofRequired

The unique username for the account. For OAuth2 user accounts, this is the same as the email address.

string · min: 1 · max: 50OptionalPattern: ^[a-zA-Z0-9_\-@.]+$
or
string · emailOptional
emailany ofOptional

The email address associated with the account. For OAuth2 user accounts, this is the unique identifier for the user and is also used as the username.

stringOptional
or
nullOptional
oauth_providerany ofOptional

The external OAuth2 provider that the user is associated with.

stringOptional
or
nullOptional
oauth_idany ofOptional

The external OAuth2 ID of the user.

stringOptional
or
nullOptional
is_activebooleanOptional

Whether the account is active.

Default: true
is_superuserbooleanOptional

Whether the account is a superuser.

Default: false
is_service_accountbooleanOptional

Whether the account is a service account.

Default: false
organization_idany ofOptional

The ID of the organization that the service account belongs to. Only set for service accounts.

string · uuidOptional
or
nullOptional
is_onboardedbooleanOptional

Whether the user has completed onboarding.

Default: false
get
/users/me
200

Successful Response

Update Current User Endpoint

patch

Update the currently authenticated user.

Args: user_update: User update user: Authenticated user user_manager: User manager

Returns: The updated user.

Raises: ValueError: If the user is internal, service account, or the username is the admin username.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Body

Model for user updates.

passwordany ofOptional
stringOptional
or
nullOptional
password_expiredany ofOptional
booleanOptional
or
nullOptional
nameany ofOptional

The name of the user.

string · min: 1 · max: 50Optional
or
nullOptional
avatar_urlany ofOptional

The avatar URL of the user.

stringOptional
or
nullOptional
companyany ofOptional

The company of the user.

string · min: 1 · max: 50Optional
or
nullOptional
job_titleany ofOptional

The job title of the user.

string · min: 1 · max: 50Optional
or
nullOptional
metadataany ofOptional

Additional metadata associated with the user.

or
nullOptional
usernameany ofOptional

New username for the user. Not possible to change the username for OAuth2 user accounts because it's the same as the email address provided by the external OAuth2 provider.

string · min: 1 · max: 50OptionalPattern: ^[a-zA-Z0-9_\-@.]+$
or
nullOptional
emailany ofOptional

New email address for the user. Not possible to change the email address for OAuth2 user accounts because it's the same as the email address provided by the external OAuth2 provider.

string · emailOptional
or
nullOptional
is_activeany ofOptional
booleanOptional
or
nullOptional
is_onboardedany ofOptional
booleanOptional
or
nullOptional
is_superuserany ofOptional
booleanOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

User model for displaying user account and service account information.

This model is currently used for both user accounts and service accounts to ensure backward compatibility.

passwordany ofOptional
stringOptional
or
nullOptional
password_expiredany ofOptional
booleanOptional
or
nullOptional
nameany ofOptional

The name of the user.

string · min: 1 · max: 50Optional
or
nullOptional
avatar_urlany ofOptional

The avatar URL of the user.

stringOptional
or
nullOptional
companyany ofOptional

The company of the user.

string · min: 1 · max: 50Optional
or
nullOptional
job_titleany ofOptional

The job title of the user.

string · min: 1 · max: 50Optional
or
nullOptional
metadataany ofOptional

Additional metadata associated with the user.

or
nullOptional
idstring · uuidRequired
usernameany ofRequired

The unique username for the account. For OAuth2 user accounts, this is the same as the email address.

string · min: 1 · max: 50OptionalPattern: ^[a-zA-Z0-9_\-@.]+$
or
string · emailOptional
emailany ofOptional

The email address associated with the account. For OAuth2 user accounts, this is the unique identifier for the user and is also used as the username.

stringOptional
or
nullOptional
oauth_providerany ofOptional

The external OAuth2 provider that the user is associated with.

stringOptional
or
nullOptional
oauth_idany ofOptional

The external OAuth2 ID of the user.

stringOptional
or
nullOptional
is_activebooleanOptional

Whether the account is active.

Default: true
is_superuserbooleanOptional

Whether the account is a superuser.

Default: false
is_service_accountbooleanOptional

Whether the account is a service account.

Default: false
organization_idany ofOptional

The ID of the organization that the service account belongs to. Only set for service accounts.

string · uuidOptional
or
nullOptional
is_onboardedbooleanOptional

Whether the user has completed onboarding.

Default: false
patch
/users/me

Last updated

Was this helpful?